Get hybrid subnet appliance deployment
curl --request GET \
--url https://{host}/api/supervisors/{name}/networking/hybrid-subnet-appliances/{appliance}/deploy \
--cookie k8s-gate-session=import requests
url = "https://{host}/api/supervisors/{name}/networking/hybrid-subnet-appliances/{appliance}/deploy"
headers = {"cookie": "k8s-gate-session="}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {cookie: 'k8s-gate-session='}};
fetch('https://{host}/api/supervisors/{name}/networking/hybrid-subnet-appliances/{appliance}/deploy', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/api/supervisors/{name}/networking/hybrid-subnet-appliances/{appliance}/deploy",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_COOKIE => "k8s-gate-session=",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{host}/api/supervisors/{name}/networking/hybrid-subnet-appliances/{appliance}/deploy"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("cookie", "k8s-gate-session=")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{host}/api/supervisors/{name}/networking/hybrid-subnet-appliances/{appliance}/deploy")
.header("cookie", "k8s-gate-session=")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/api/supervisors/{name}/networking/hybrid-subnet-appliances/{appliance}/deploy")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["cookie"] = 'k8s-gate-session='
response = http.request(request)
puts response.read_body{
"appliance": "<string>",
"deploy": {
"job": "<string>",
"state": "<string>",
"error": "<string>",
"finishedAt": "2023-11-07T05:31:56Z",
"message": "<string>",
"percent": 123,
"phase": "<string>",
"result": {
"instanceUuid": "<string>",
"managementMac": "<string>",
"name": "<string>",
"trunkMac": "<string>",
"vm": "<string>"
},
"startedAt": "2023-11-07T05:31:56Z"
},
"deployed": {
"deployedAt": "2023-11-07T05:31:56Z",
"instanceUuid": "<string>",
"job": "<string>",
"managementMac": "<string>",
"name": "<string>",
"source": "<string>",
"trunkMac": "<string>",
"vm": "<string>"
}
}{
"error": "<string>"
}{
"error": "<string>"
}networking
Get hybrid subnet appliance deployment
Hybrid subnets — a proxy-ARP appliance on a source VLAN answers for the
Authorisation: cilium:GetState on krn:celum:supervisor:{name}:cilium:*.
Assistant tool: get_hybrid_subnet_appliance_deployment
GET
/
api
/
supervisors
/
{name}
/
networking
/
hybrid-subnet-appliances
/
{appliance}
/
deploy
Get hybrid subnet appliance deployment
curl --request GET \
--url https://{host}/api/supervisors/{name}/networking/hybrid-subnet-appliances/{appliance}/deploy \
--cookie k8s-gate-session=import requests
url = "https://{host}/api/supervisors/{name}/networking/hybrid-subnet-appliances/{appliance}/deploy"
headers = {"cookie": "k8s-gate-session="}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {cookie: 'k8s-gate-session='}};
fetch('https://{host}/api/supervisors/{name}/networking/hybrid-subnet-appliances/{appliance}/deploy', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/api/supervisors/{name}/networking/hybrid-subnet-appliances/{appliance}/deploy",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_COOKIE => "k8s-gate-session=",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{host}/api/supervisors/{name}/networking/hybrid-subnet-appliances/{appliance}/deploy"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("cookie", "k8s-gate-session=")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{host}/api/supervisors/{name}/networking/hybrid-subnet-appliances/{appliance}/deploy")
.header("cookie", "k8s-gate-session=")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/api/supervisors/{name}/networking/hybrid-subnet-appliances/{appliance}/deploy")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["cookie"] = 'k8s-gate-session='
response = http.request(request)
puts response.read_body{
"appliance": "<string>",
"deploy": {
"job": "<string>",
"state": "<string>",
"error": "<string>",
"finishedAt": "2023-11-07T05:31:56Z",
"message": "<string>",
"percent": 123,
"phase": "<string>",
"result": {
"instanceUuid": "<string>",
"managementMac": "<string>",
"name": "<string>",
"trunkMac": "<string>",
"vm": "<string>"
},
"startedAt": "2023-11-07T05:31:56Z"
},
"deployed": {
"deployedAt": "2023-11-07T05:31:56Z",
"instanceUuid": "<string>",
"job": "<string>",
"managementMac": "<string>",
"name": "<string>",
"source": "<string>",
"trunkMac": "<string>",
"vm": "<string>"
}
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
sessionCookiebearerToken
The session cookie issued by the OIDC sign-in flow. This is what a browser uses.
Path Parameters
The supervisor's name, as registered under Administration → Supervisors.